## org.apache.hadoop.contrib.utils.join
Class ArrayListBackedIterator

    java.lang.Object
      org.apache.hadoop.contrib.utils.join.ArrayListBackedIterator

All Implemented Interfaces:
  Iterator, ResetableIterator

    public class ArrayListBackedIterator

extends Object
implements ResetableIterator

This class provides an implementation of ResetableIterator. The implementation will be based on ArrayList.

Constructor Summary
`ArrayListBackedIterator()`
`ArrayListBackedIterator(ArrayList<Object> data)`

Method Summary
`void` `add(Object item)`
`void` `close()`
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`
`void` `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayListBackedIterator

    public ArrayListBackedIterator()

### ArrayListBackedIterator

    public ArrayListBackedIterator(ArrayList<Object> data)

Method Detail

### add

    public void add(Object item)

  Specified by:
    `add` in interface `ResetableIterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### reset

    public void reset()

  Specified by:
    `reset` in interface `ResetableIterator`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `ResetableIterator`
  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation